{
/*
Program reading the root file produced by KNOSSOS
*/

//  Initialize

gROOT->Reset();

//  Load the histograms

TFile res("koutput.root");

// Then do the cosmetics 

/////////////STAT////////   
gStyle -> SetStatW(0.3);
gStyle -> SetStatH(0.2);
gStyle -> SetStatColor(41);   
gStyle -> SetStatX(0.8);
gStyle -> SetStatY(0.8);   
gStyle -> SetStatFont(42);
gStyle -> SetOptStat(1110);
gStyle -> SetOptFit(0);
gStyle -> SetPalette(45);
/////////////////////////

c1 = new TCanvas("c1","Misalignments before correction",200,500,700,800);
c1->SetFillColor(0);
c1->SetBorderMode(0); 
c1->Divide(2,3);     

c1->cd(1);
mis_before_0->GetXaxis()->SetTitle("Misalignment before correction (in mm): #Delta_{X}");
mis_before_0->GetXaxis()->SetTitleSize(0.05);
mis_before_0->Draw();

c1->cd(2);
mis_before_3->GetXaxis()->SetTitle("Misalignment before correction (in mrad): #Delta_{#alpha}");
mis_before_3->GetXaxis()->SetTitleSize(0.05);
mis_before_3->Draw();

c1->cd(3);
mis_before_1->GetXaxis()->SetTitle("Misalignment before correction (in mm): #Delta_{Y}");
mis_before_1->GetXaxis()->SetTitleSize(0.05);
mis_before_1->Draw();

c1->cd(4);
mis_before_4->GetXaxis()->SetTitle("Misalignment before correction (in mrad): #Delta_{#beta}");
mis_before_4->GetXaxis()->SetTitleSize(0.05);
mis_before_4->Draw();

c1->cd(5);
mis_before_2->GetXaxis()->SetTitle("Misalignment before correction (in mm): #Delta_{Z}");
mis_before_2->GetXaxis()->SetTitleSize(0.05);
mis_before_2->Draw();

c1->cd(6);
mis_before_5->GetXaxis()->SetTitle("Misalignment before correction (in mrad): #Delta_{#gamma}");
mis_before_5->GetXaxis()->SetTitleSize(0.05);
mis_before_5->Draw();

c1->Update();

c2 = new TCanvas("c2","Misalignments after correction",200,500,700,800);
c2->SetFillColor(0);
c2->SetBorderMode(0); 
c2->Divide(2,3);     

c2->cd(1);
mis_after_0->GetXaxis()->SetTitle("Misalignment after correction (in mm): #Delta_{X}");
mis_after_0->GetXaxis()->SetTitleSize(0.05);
mis_after_0->Draw();

c2->cd(2);
mis_after_3->GetXaxis()->SetTitle("Misalignment after correction (in mrad): #Delta_{#alpha}");
mis_after_3->GetXaxis()->SetTitleSize(0.05);
mis_after_3->Draw();

c2->cd(3);
mis_after_1->GetXaxis()->SetTitle("Misalignment after correction (in mm): #Delta_{Y}");
mis_after_1->GetXaxis()->SetTitleSize(0.05);
mis_after_1->Draw();

c2->cd(4);
mis_after_4->GetXaxis()->SetTitle("Misalignment after correction (in mrad): #Delta_{#beta}");
mis_after_4->GetXaxis()->SetTitleSize(0.05);
mis_after_4->Draw();

c2->cd(5);
mis_after_2->GetXaxis()->SetTitle("Misalignment after correction (in mm): #Delta_{Z}");
mis_after_2->GetXaxis()->SetTitleSize(0.05);
mis_after_2->Draw();

c2->cd(6);
mis_after_5->GetXaxis()->SetTitle("Misalignment after correction (in mrad): #Delta_{#gamma}");
mis_after_5->GetXaxis()->SetTitleSize(0.05);
mis_after_5->Draw();

c2->Update();

c3 = new TCanvas("c3","Pulls",200,500,700,800);
c3->SetFillColor(0);
c3->SetBorderMode(0); 
c3->Divide(2,3);     

c3->cd(1);
pullHisto0->GetXaxis()->SetTitle("Pull value: #Delta_{X}");
pullHisto0->GetXaxis()->SetTitleSize(0.05);
pullHisto0->Draw();

c3->cd(2);
pullHisto3->GetXaxis()->SetTitle("Pull value: #Delta_{#alpha}");
pullHisto3->GetXaxis()->SetTitleSize(0.05);
pullHisto3->Draw();

c3->cd(3);
pullHisto1->GetXaxis()->SetTitle("Pull value: #Delta_{Y}");
pullHisto1->GetXaxis()->SetTitleSize(0.05);
pullHisto1->Draw();

c3->cd(4);
pullHisto4->GetXaxis()->SetTitle("Pull value: #Delta_{#beta}");
pullHisto4->GetXaxis()->SetTitleSize(0.05);
pullHisto4->Draw();

c3->cd(5);
pullHisto2->GetXaxis()->SetTitle("Pull value: #Delta_{Z}");
pullHisto2->GetXaxis()->SetTitleSize(0.05);
pullHisto2->Draw();

c3->cd(6);
pullHisto5->GetXaxis()->SetTitle("Pull value: #Delta_{#gamma}");
pullHisto5->GetXaxis()->SetTitleSize(0.05);
pullHisto5->Draw();

c3->Update();

}   
